package com.emr.entity;

import java.math.BigDecimal;

public class Archive_Master {
    private String id;

    private String patientId;

    private String inpNo;

    private String visitId;

    private String name;

    private String sex;

    private String deptName;

    private String dischargeDateTime;

    private String archivestate;

    private String admissionDateTime;

    private String deptAdmissionTo;

    private String checkDoctor;

    private String checkDatetime;

    private String checkedDoctor;

    private String checkedDatetime;

    private String lockinfo;

    private String doctorInCharge;

    private String idNo;

    private String dischargeDisposition;

    private String deptCodeLend;

    private int cmtDoctor;

    private int cmtNurse;

    private String doctorName;

    private String nurseName;

    private String cmtDoctorDate;

    private String cmtNurseDate;

    private String emrDoctorCmt;

    private String emrNureCmt;

    private String deathFlag;

    private String firstInstance;

    private String transferDept;

    // 科室是否纸质提交
    private String isscaned;

    //2020-1-13 新增扫描字段
    private String isScanning;

    //2021-1-18 新增床号
    private String bedNumber;

    //2021-3-20 新增总分
    private BigDecimal score;

    //2021-5-13 新增签收
    private Integer isSign;

    private String signer;

    private String signTime;
    //2021-8-03 ,字段值不为0，页面显示“已打印”标志
    private String printNum;

    public String getPrintNum() {
        return printNum;
    }

    public void setPrintNum(String printNum) {
        this.printNum = printNum;
    }

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId == null ? null : patientId.trim();
    }

    public String getInpNo() {
        return inpNo;
    }

    public void setInpNo(String inpNo) {
        this.inpNo = inpNo == null ? null : inpNo.trim();
    }

    public String getVisitId() {
        return visitId;
    }

    public void setVisitId(String visitId) {
        this.visitId = visitId == null ? null : visitId.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex == null ? null : sex.trim();
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName == null ? null : deptName.trim();
    }

    public String getDischargeDateTime() {
        return dischargeDateTime;
    }

    public void setDischargeDateTime(String dischargeDateTime) {
        this.dischargeDateTime = dischargeDateTime == null ? null : dischargeDateTime.trim();
    }

    public String getArchivestate() {
        return archivestate;
    }

    public void setArchivestate(String archivestate) {
        this.archivestate = archivestate == null ? null : archivestate.trim();
    }

    public String getAdmissionDateTime() {
        return admissionDateTime;
    }

    public void setAdmissionDateTime(String admissionDateTime) {
        this.admissionDateTime = admissionDateTime == null ? null : admissionDateTime.trim();
    }

    public String getDeptAdmissionTo() {
        return deptAdmissionTo;
    }

    public void setDeptAdmissionTo(String deptAdmissionTo) {
        this.deptAdmissionTo = deptAdmissionTo == null ? null : deptAdmissionTo.trim();
    }

    public String getCheckDoctor() {
        return checkDoctor;
    }

    public void setCheckDoctor(String checkDoctor) {
        this.checkDoctor = checkDoctor == null ? null : checkDoctor.trim();
    }

    public String getCheckDatetime() {
        return checkDatetime;
    }

    public void setCheckDatetime(String checkDatetime) {
        this.checkDatetime = checkDatetime == null ? null : checkDatetime.trim();
    }

    public String getCheckedDoctor() {
        return checkedDoctor;
    }

    public void setCheckedDoctor(String checkedDoctor) {
        this.checkedDoctor = checkedDoctor == null ? null : checkedDoctor.trim();
    }

    public String getCheckedDatetime() {
        return checkedDatetime;
    }

    public void setCheckedDatetime(String checkedDatetime) {
        this.checkedDatetime = checkedDatetime == null ? null : checkedDatetime.trim();
    }

    public String getLockinfo() {
        return lockinfo;
    }

    public void setLockinfo(String lockinfo) {
        this.lockinfo = lockinfo == null ? null : lockinfo.trim();
    }

    public String getDoctorInCharge() {
        return doctorInCharge;
    }

    public void setDoctorInCharge(String doctorInCharge) {
        this.doctorInCharge = doctorInCharge == null ? null : doctorInCharge.trim();
    }

    public String getIdNo() {
        return idNo;
    }

    public void setIdNo(String idNo) {
        this.idNo = idNo == null ? null : idNo.trim();
    }

    public String getDischargeDisposition() {
        return dischargeDisposition;
    }

    public void setDischargeDisposition(String dischargeDisposition) {
        this.dischargeDisposition = dischargeDisposition == null ? null : dischargeDisposition.trim();
    }

    public String getDeptCodeLend() {
        return deptCodeLend;
    }

    public void setDeptCodeLend(String deptCodeLend) {
        this.deptCodeLend = deptCodeLend == null ? null : deptCodeLend.trim();
    }

    public int getCmtDoctor() {
        return cmtDoctor;
    }

    public void setCmtDoctor(int cmtDoctor) {
        this.cmtDoctor = cmtDoctor;
    }

    public int getCmtNurse() {
        return cmtNurse;
    }

    public void setCmtNurse(int cmtNurse) {
        this.cmtNurse = cmtNurse;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName == null ? null : doctorName.trim();
    }

    public String getNurseName() {
        return nurseName;
    }

    public void setNurseName(String nurseName) {
        this.nurseName = nurseName == null ? null : nurseName.trim();
    }

    public String getCmtDoctorDate() {
        return cmtDoctorDate ;
    }

    public void setCmtDoctorDate(String cmtDoctorDate) {
        this.cmtDoctorDate = cmtDoctorDate == null ? null : cmtDoctorDate.trim();
    }

    public String getCmtNurseDate() {
        return cmtNurseDate;
    }

    public void setCmtNurseDate(String cmtNurseDate) {
        this.cmtNurseDate = cmtNurseDate;
    }

    public String getEmrDoctorCmt() {
        return emrDoctorCmt;
    }

    public void setEmrDoctorCmt(String emrDoctorCmt) {
        this.emrDoctorCmt = emrDoctorCmt == null ? null : emrDoctorCmt.trim();
    }

    public String getEmrNureCmt() {
        return emrNureCmt;
    }

    public void setEmrNureCmt(String emrNureCmt) {
        this.emrNureCmt = emrNureCmt == null ? null : emrNureCmt.trim();
    }

    public String getDeathFlag() {
        return deathFlag;
    }

    public void setDeathFlag(String deathFlag) {
        this.deathFlag = deathFlag == null ? null : deathFlag.trim();
    }

    public String getFirstInstance() {
        return this.firstInstance;
    }

    public void setFirstInstance(String firstInstance) {
        this.firstInstance = firstInstance == null ? null : firstInstance.trim();
    }

    public String getTransferDept() {
        return transferDept;
    }

    public void setTransferDept(String transferDept) {
        this.transferDept = transferDept == null ? null : transferDept.trim();
    }

    public String getIsscaned() {
        return isscaned;
    }

    public void setIsscaned(String isscaned) {
        this.isscaned = isscaned;
    }

    public String getIsScanning() {
        return isScanning;
    }

    public void setIsScanning(String isScanning) {
        this.isScanning = isScanning;
    }

    public String getBedNumber() {
        return bedNumber;
    }

    public void setBedNumber(String bedNumber) {
        this.bedNumber = bedNumber;
    }

    public Integer getIsSign() {
        return isSign;
    }

    public void setIsSign(Integer isSign) {
        this.isSign = isSign;
    }

    public String getSigner() {
        return signer;
    }

    public void setSigner(String signer) {
        this.signer = signer == null ? null : signer.trim();
    }

    public String getSignTime() {
        return signTime;
    }

    public void setSignTime(String signTime) {
        this.signTime = signTime == null ? null : signTime.trim();
    }
}